<template>
	<view>
		<mumu-getQrcode @success='qrcodeSucess' @error="qrcodeError"></mumu-getQrcode>
	</view>
</template>

<script>
	export default {
		data() {
			return {

			}
		},
		methods: {
			qrcodeSucess(data) {
				if (uni.$u.test.isEmpty(data)) {
					uni.$u.toast('没有数据')
				} else {
					try{
						let tempArr = data.split(',')
						var pages = getCurrentPages();
						var prevPage = pages[pages.length - 2];
						prevPage.$vm.addPersonForm = {
							name: tempArr[0].replace(/[\t\r\f\n\s]*/g,''),
							phone: tempArr[1].replace(/[\t\r\f\n\s]*/g,''),
						}
					}catch(e){
						uni.$u.toast('数据解析失败,请重试')
					}
				}
				
				uni.navigateBack({//返回
					delta: 1
				})
			},
			qrcodeError(err) {
				uni.$u.toast('扫描失败')
				if (!uni.$u.test.isEmpty(err)) {
					uni.$u.toast(err)
				}
				uni.navigateBack({//返回
					delta: 1
				})
			},
		}
	}
</script>

<style>

</style>